import * as React from "react";
export const CatalogContext = React.createContext(undefined);
export const useCatalogContext = () => {
    const contextValue = React.useContext(CatalogContext);
    if (contextValue === undefined) {
        throw new Error(`Tried to get a catalog context, but no context is available. 
Please make sure to define a catalog component above this component in the react tree.`);
    }
    return contextValue;
};
